升級 WordPress 2.1

我應該算是比較懶惰的人吧,因為我用覆蓋法。 (羞)

因為有 ssh login 的權限,所以我這邊步驟是這樣( 舊版的放置目錄是 ~/blog ):

  1. 官方網站的下載頁面 抓新版檔案,放在家目錄( ~/latest.tar.gz )。
  2. 新版(2.1)解壓縮( cd ~ && tar xvfz latest.tar.gz )。
  3. 看看有啥檔案是新版拿掉的( diff -rc ~/blog ~/wordpress | grep “Only in blog” )。
  4. 除了自己放的檔案、theme、plugin、設定檔以外的檔案都砍了。
  5. 砍掉 ~/wordpress ( rm -rf ~/wordpress )。
  6. 用新版蓋掉舊版 ( cd ~ && mv blog wordpress && tar xvfz latest.tar.gz && mv wordpress blog )。
  7. 用瀏覽器開 wp-admin/upgrade.php 。

改過 wp-includes/wp-db.php 就收工了。 XD

原本我這邊跑的是 2.0.6 ,在 2.1 裡面應該殺掉的檔案有這些:

  • wp-admin/edit-form-ajax-cat.php
  • wp-admin/execute-pings.php
  • wp-admin/inline-uploading.php
  • wp-admin/link-categories.php
  • wp-admin/list-manipulation.js
  • wp-admin/list-manipulation.php
  • wp-includes/comment-functions.php
  • wp-includes/feed-functions.php
  • wp-includes/functions-compat.php
  • wp-includes/functions-formatting.php
  • wp-includes/functions-post.php
  • wp-includes/js/dbx-key.js
  • wp-includes/js/tinymce/plugins/autosave/langs/cs.js
  • wp-includes/js/tinymce/plugins/autosave/langs/sv.js
  • wp-includes/js/tinymce/plugins/inlinepopups/editor_plugin_src.js
  • wp-includes/js/tinymce/plugins/inlinepopups/readme.txt
  • wp-includes/js/tinymce/themes/advanced/editor_template_src.js
  • wp-includes/links.php
  • wp-includes/pluggable-functions.php
  • wp-includes/template-functions-author.php
  • wp-includes/template-functions-category.php
  • wp-includes/template-functions-general.php
  • wp-includes/template-functions-links.php
  • wp-includes/template-functions-post.php
  • wp-includes/wp-l10n.php

給大家參考看看。 :-)

另外,之前 的 Twilight AutoSave 可以關掉並刪除了。 (眨眼)

Tweet 20
fb-share-icon20